Subject: Re: [PATCH] git-compat-util: Avoid strcasecmp() being inlined

From: Jonathan Nieder <[email-masked]>
Date: Thu, 12 Sep 2013 14:36:33 -0700

Sebastian Schuberth wrote:

> I'm not too happy with the wording either. As I see it, even on MinGW
> runtime version 4.0 it's not true that "string.h has _only_ inline
> definition of strcasecmp"; there's also "#define strncasecmp
> _strnicmp"

I assume you mean "#define strcasecmp _stricmp", which is guarded by
defined(__NO_INLINE__).  I think what Junio meant is that by default
(i.e., in the !defined(__NO_INLINE__) case) string.h uses
__CRT_INLINE, defined as

	extern inline __attribute__((__gnu_inline__))

to suppress the non-inline function definition.

Jonathan